import { Result, deleteRequest, get, post, put } from "../base";

/**
 * 分页查询
 * @param query .
 * @returns .
 */
export function queryPage<T>(query?: any): Promise<Result<T>> {
  return get("/agent/pay/order/page", query);
}

/**
 * 列表查询
 * @param query .
 * @returns .
 */
export function queryList<T>(query?: any): Promise<Result<T>> {
  return get("/agent/pay/order/list", query);
}
/**
 * 订单统计
 * @param query .
 * @returns .
 */
export function orderTotal<T>(query?: any): Promise<Result<T>> {
  return get("/agent/pay/order/orderTotal", query);
}

/**
 * 查询支付状态
 * @param id .
 * @returns  .
 */
export function queryPayStatus<T>(id: string): Promise<Result<T>> {
  return get(`/agent/pay/order/status/${id}`,{});
}




/**
 * 订单回调
 * @param id .
 * @returns  .
 */
export function orderCallback<T>(id: string): Promise<Result<T>> {
  return get(`/agent/pay/order/callback/${id}`,{});
}
